Package org.jfree.report.flow.layoutprocessor

# Class ElementLayoutController.ElementPrecomputeKey

java.lang.Object
org.jfree.report.flow.layoutprocessor.ElementLayoutController.ElementPrecomputeKey

All Implemented Interfaces:
  `PrecomputeNodeKey`

Enclosing class:
  `ElementLayoutController`

protected static class ElementLayoutController.ElementPrecomputeKey extends Object implements PrecomputeNodeKey

## Constructor Summary

Constructors
Constructor
Description
`ElementPrecomputeKey(Element element)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`boolean`
`equals(PrecomputeNodeKey otherKey)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementPrecomputeKey

public ElementPrecomputeKey(Element element)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(PrecomputeNodeKey otherKey)

Specified by:
  `equals` in interface `PrecomputeNodeKey`